%Obtain day-to-night plots [2140 2555]
%By Jonas Magnussen (2011)
figure(14);
subplot(3,1,1), plot(t_minute, plot_theta_2A_minute);
axis([2140 2555 16 22]);
xlabel('time [min]'), ylabel('\theta_{2A} [^\circC]');
subplot(3,1,2), plot(t_minute, plot_theta_4A_minute, t_minute, plot_theta_minute);
legend('\theta_{4A}', '\theta','Orientation', 'horizontal', 'Location', 'NorthEast');
axis([2140 2555 17 75]);
xlabel('time [min]'), ylabel('temp [^\circC]');
subplot(3,1,3), plot(t_minute, plot_valve_t4A);
axis([2140 2555 0 1]);
xlabel('time [min]'), ylabel('Valve opening');

%Indoor, radiator, water, ventilation and outdoor temperatures (Room B)
figure(15);
subplot(3,1,1), plot(t_minute, plot_theta_2B_minute);
axis([2140 2555 16 22]);
xlabel('time [min]'), ylabel('\theta_{2B} [^\circC]');
subplot(3,1,2), plot(t_minute, plot_theta_4B_minute, t_minute, plot_theta_minute);
legend('\theta_{4B}', '\theta','Orientation', 'horizontal', 'Location', 'NorthEast');
axis([2140 2555 17 75]);
xlabel('time [min]'), ylabel('temp [^\circC]');
subplot(3,1,3), plot(t_minute, plot_valve_t4B);
axis([2140 2555 0 1]);
xlabel('time [min]'), ylabel('Valve opening');

%Indoor, radiator, water, ventilation and outdoor temperatures (Room C)
figure(16);
subplot(3,1,1), plot(t_minute, plot_theta_2C_minute);
axis([2140 2555 16 22]);
xlabel('time [min]'), ylabel('\theta_{2C} [^\circC]');
subplot(3,1,2), plot(t_minute, plot_theta_4C_minute, t_minute, plot_theta_minute);
legend('\theta_{4C}', '\theta', 'Orientation', 'horizontal', 'Location', 'NorthEast');
axis([2140 2555 17 75]);
xlabel('time [min]'), ylabel('temp [^\circC]');
subplot(3,1,3), plot(t_minute, plot_valve_t4C);
axis([2140 2555 0 1]);
xlabel('time [min]'), ylabel('Valve opening');

figure(17);
subplot(3,1,1), plot(t_minute, plot_theta_7_minute);
axis([2140 2555 14 23]);
xlabel('time [min]'), ylabel('\theta_{7} [^\circC]');
subplot(3,1,2), plot(t_minute, plot_q_rel_minute);
axis([2140 2555 0 1]);
xlabel('time [min]'), ylabel('Valve opening');
subplot(3,1,3), plot(t_minute, plot_theta_6_minute);
axis([2140 2555 -8 0]);
xlabel('time [min]'), ylabel('\theta_6 [^\circC]');

figure(18);
subplot(3,1,1),plot(t_minute, plot_theta_minute, t_minute, plot_theta_return_minute);
legend('\theta','\theta_{fb}','Orientation', 'horizontal', 'Location', 'NorthEast');
axis([2140 2555 0 80]);
xlabel('time [min]'), ylabel('temp [^\circC]');
subplot(3,1,2),plot(t_minute, plot_q_rel_dh_minute);
axis([2140 2555 0 1]);
xlabel('time [min]'), ylabel('Valve opening');
subplot(3,1,3), plot(t_minute, plot_theta_6_minute);
legend('\theta_{6}');
axis([2140 2555 -8 0]);
xlabel('time [min]'), ylabel('temp [^\circC]');
