%Determine the temperature of the water that is sent back into the
%heat exchanger
%By Jonas Magnussen (2011)
function theta_return = determine_theta_return(vec)

t7 = vec(1); 
t4A = vec(2);
t4B = vec(3);
t4C = vec(4);
t = vec(5);

t_out_A = t4A;
if t_out_A == t
    t_out_A = t_out_A - 1;
else
end
   
t_out_B = t4B;
if t_out_B == t
    t_out_B = t_out_B - 1;
else
end

t_out_C = t4C;
if t_out_C == t
    t_out_C = t_out_C - 1;
else
end

t_out_7 = t7;
if t_out_7 == t
    t_out_7 = t_out_7 - 1;
else
end

% returned_value = 0.3*t_out_A + 0.3*t_out_B + 0.36*t_out_C + 0.04*t_out_7;
returned_value = 0.2215*t_out_A + 0.2215*t_out_B + 0.2679*t_out_C + 0.2891*t_out_7;

if returned_value < 1
    theta_return = t;
else
    theta_return = returned_value;
end
