%Plot linearized model versus Simulink model
%By Jonas Magnussen (2011)
figure(20)
subplot(2,2,1), plot(T1,Y1(:,1),T2,Y_a);
legend('\theta_{2A} model ', '\theta_{2A} linmod', 'Location', 'NorthWest')
xlabel('time [s]');
ylabel('temp [^\circ C]');
axis([0 9e+005 15.5 17.5])
subplot(2,2,2),plot(T1,Y1(:,2),T2,Y_b);
legend('\theta_{2B} model ', '\theta_{2B} linmod', 'Location', 'NorthWest')
xlabel('time [s]');
ylabel('temp [^\circ C]');
axis([0 9e+005 15.5 17.5])
subplot(2,2,3),plot(T1,Y1(:,3),T2,Y_c);
legend('\theta_{2C} model ', '\theta_{2C} linmod', 'Location', 'NorthWest')
xlabel('time [s]');
ylabel('temp [^\circ C]');
axis([0 9e+005 14 18])
subplot(2,2,4),plot(T1,Y1(:,4),T2,Y_v);
legend('\theta_7 model ', '\theta_7 linmod', 'Location', 'NorthWest')
xlabel('time [s]');
ylabel('temp [^\circ C]');
axis([0 9e+005 14 25])
